From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pkginfo/
Date: Sat, 24 Mar 2018 07:58:36 +0000 (UTC) [thread overview]
Message-ID: <1521878305.70c55ce0b967f0a516450c877cb2881209848d34.radhermit@gentoo> (raw)
commit: 70c55ce0b967f0a516450c877cb2881209848d34
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 24 07:45:59 2018 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sat Mar 24 07:58:25 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70c55ce0
dev-python/pkginfo: version bump to 1.4.2
dev-python/pkginfo/Manifest | 1 +
dev-python/pkginfo/pkginfo-1.4.2.ebuild | 47 +++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-python/pkginfo/Manifest b/dev-python/pkginfo/Manifest
index 0e770c9b936..0968a82b87f 100644
--- a/dev-python/pkginfo/Manifest
+++ b/dev-python/pkginfo/Manifest
@@ -1 +1,2 @@
DIST pkginfo-1.2.1.tar.gz 31072 BLAKE2B 57ce5f6147b97af513dfdc6137180e5561822096cdbd21b673c49522384622c58f9eba8c65f24b54bc1e76dc0c6feede5d43e8aac945d94ffe79ea220e830470 SHA512 8a530a164befdcbc6f1f550e106880e14e9d2c762a5e1055f926ccf0228d9e2312f11598454ef015e97dccb78ac7aeb7309f34279590cd318c19c2bd9a29ed2a
+DIST pkginfo-1.4.2.tar.gz 33539 BLAKE2B d3cfc6bf7a9e748902b1f63434c745d8abf4e144c0a2b5d7a90236bfc2ce7f94922b0e08e5a08b13ba2025159bd90fecee25d9abdb283e7d52de0d34386aba59 SHA512 536628a2a2472e999695a115449a76f971453aea7ac3a08f10d9b08dfdf4a7b8e67c6010c6f18d300472a6afc8dff33331c955cc2f7bdb357504cd6a36390da3
diff --git a/dev-python/pkginfo/pkginfo-1.4.2.ebuild b/dev-python/pkginfo/pkginfo-1.4.2.ebuild
new file mode 100644
index 00000000000..a006ae9cbca
--- /dev/null
+++ b/dev-python/pkginfo/pkginfo-1.4.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Provides an API for querying the distutils metadata written in a PKG-INFO file"
+HOMEPAGE="https://pypi.python.org/pypi/pkginfo"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ # Disable tests that seek to read the version of pkginfo from an installed state
+ # These test will still become installed and testable once installed
+ sed -e 's:test_w_directory_no_EGG_INFO:_&:' \
+ -e 's:test_w_module_and_metadata_version:_&:' \
+ -e 's:test_w_package_name_and_metadata_version:_&:' \
+ -i pkginfo/tests/test_utils.py || die
+ sed -e 's:test_ctor_w_path_nested_egg_info:_&:' \
+ -i pkginfo/tests/test_develop.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/.build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2018-03-24 7:58 UTC|newest]
Thread overview: 69+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-03-24 7:58 Tim Harder [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-26 13:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/pkginfo/ Michał Górny
2024-10-26 13:28 Arthur Zamarin
2024-10-10 18:25 Michał Górny
2024-06-29 16:58 Michał Górny
2024-06-29 7:57 Arthur Zamarin
2024-06-09 3:17 Michał Górny
2024-06-01 3:57 Michał Górny
2024-05-29 19:47 Petr Vaněk
2024-03-22 4:38 Michał Górny
2024-03-21 18:22 Arthur Zamarin
2024-03-04 6:31 Michał Górny
2023-06-01 4:13 Michał Górny
2023-02-16 20:26 Michał Górny
2023-01-09 8:09 Michał Górny
2023-01-07 4:54 Michał Górny
2023-01-06 5:35 Michał Górny
2023-01-04 14:15 Michał Górny
2022-12-31 10:55 Michał Górny
2022-12-31 10:41 Arthur Zamarin
2022-12-01 7:09 Michał Górny
2022-11-29 19:46 Arthur Zamarin
2022-11-29 19:46 Arthur Zamarin
2022-06-24 10:21 Michał Górny
2022-06-24 9:00 Arthur Zamarin
2022-06-08 19:40 Michał Górny
2022-05-24 6:16 Michał Górny
2022-05-24 6:16 Michał Górny
2022-04-25 16:50 Sam James
2022-01-01 18:48 Michał Górny
2022-01-01 17:51 Arthur Zamarin
2021-12-02 8:12 Michał Górny
2021-12-02 8:12 Michał Górny
2021-12-01 22:24 Michał Górny
2021-12-01 19:14 Michał Górny
2021-08-16 6:13 Michał Górny
2021-07-12 23:53 Marek Szuba
2021-07-10 7:34 Michał Górny
2021-05-07 11:58 Michał Górny
2021-02-19 8:58 Michał Górny
2021-02-19 2:54 Sam James
2021-01-17 9:02 Michał Górny
2020-12-31 6:07 Sam James
2020-11-28 13:41 Sam James
2020-09-20 9:36 Michał Górny
2020-07-05 9:27 Sergei Trofimovich
2020-07-02 17:05 Sergei Trofimovich
2020-05-31 10:04 Sergei Trofimovich
2020-05-26 20:03 Michał Górny
2020-03-28 11:59 Michał Górny
2020-03-28 11:59 Michał Górny
2020-03-28 11:59 Michał Górny
2020-03-28 11:59 Michał Górny
2020-03-20 9:58 David Seifert
2020-03-17 2:09 Matt Turner
2020-02-06 21:11 Sergei Trofimovich
2020-02-03 11:31 Agostino Sarubbo
2020-01-31 13:45 Agostino Sarubbo
2019-12-10 19:25 Sergei Trofimovich
2019-12-09 20:06 Sergei Trofimovich
2019-12-04 22:28 Patrick McLean
2017-08-15 5:41 Alexis Ballier
2017-07-09 12:06 Benda XU
2017-05-16 12:02 Manuel Rüger
2017-03-10 7:05 Zac Medico
2016-05-29 14:19 Pacho Ramos
2015-10-27 15:20 Agostino Sarubbo
2015-10-19 16:29 Justin Lecher
2015-10-15 12:01 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1521878305.70c55ce0b967f0a516450c877cb2881209848d34.radhermit@gentoo \
--to=radhermit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox